# snd_pcm_channel_area_t Struct Reference
[PCM Interface]

## Data Fields

void * | addr
unsigned int | first
unsigned int | step

## Detailed Description

PCM area specification

Examples:

  /test/pcm.c.

## Field Documentation

void* snd_pcm_channel_area_t::addr

base address of channel samples

Examples:
  /test/pcm.c.

unsigned int snd_pcm_channel_area_t::first

offset to first sample in bits

Examples:
  /test/pcm.c.

unsigned int snd_pcm_channel_area_t::step

samples distance in bits

Examples:
  /test/pcm.c.

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/pcm.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines